Name:          chntpw
Version:       140201
Release:       2mamba
Summary:       Offline NT password and registry editor
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://pogostick.net/~pnh/ntpasswd/
Source:        http://pogostick.net/~pnh/ntpasswd/chntpw-source-%{version}.zip
Source1:       chntpw.8
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
chntpw is a utility to reset the password of any user that has a valid local account on your Windows system.

Supports all Windows from NT3.5 to Win7, also 64 bit and also the Server versions (like 2003 and 2008).
You do not need to know the old password to set a new one.
It works offline, that is, you have to shutdown your computer and boot off a CD or USB disk to do the password reset.
Will detect and offer to unlock locked or disabled out user accounts.

There is also a registry editor (reged) can be used for other things than password editing.

%debug_package

%prep
%setup -q

%build
%make CFLAGS="%{optflags} -Wno-incompatible-pointer-types"
#chntpw reged

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0755 chntpw \
  %{buildroot}%{_bindir}/chntpw
install -D -m0755 reged \
  %{buildroot}%{_bindir}/reged
install -D -m0644 %{S:1} \
  %{buildroot}%{_mandir}/man8/chntpw.8

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/chntpw
%{_bindir}/reged
%{_mandir}/man?/*
%doc GPL.txt LGPL.txt
#README.txt regedit.txt WinReg.txt HISTORY.txt

%changelog
* Tue Dec 03 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 140201-2mamba
- rebuilt with debug package and specfile fixes

* Thu Feb 13 2014 Automatic Build System <autodist@mambasoft.it> 140201-1mamba
- automatic version update by autodist

* Mon Jun 25 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 110511-1mamba
- package created by autospec
